## openstackx 0~dev20111219

=== Makefile ===
PYTHON=`which python`
DESTDIR=/
PROJECT=openstackx
BUILDIR=$(CURDIR)/debian/$(PROJECT)
VERSION=0.2.0

all:
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall

builddeb:
	# build the source package in the parent directory
	# then rename it to project_version.orig.tar.gz
	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
	# build the package
	#dpkg-buildpackage -i -I -rfakeroot
	dpkg-buildpackage -b -rfakeroot -tc -uc -D

clean:
	$(PYTHON) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete

## openstackx 0~dev20111128

=== debian/changelog ===
openstackx (0~dev20111128-4) experimental; urgency=low

  * Revert all Debian patches.

 -- Julien Danjou <acid@debian.org>  Mon, 12 Dec 2011 11:48:29 +0100

openstackx (0~dev20111128-3) unstable; urgency=low

  * Add a patch to revert "fixes to make consoles work in dash"
  * Add a patch to revert "fix openstackx due to v2 change"
  * Add a patch to fix extensions/admin.py

 -- Julien Danjou <acid@debian.org>  Fri, 02 Dec 2011 15:00:53 +0100

openstackx (0~dev20111128-2) unstable; urgency=low

  * Fix copyright file

 -- Julien Danjou <acid@debian.org>  Thu, 01 Dec 2011 12:17:15 +0100

openstackx (0~dev20111128-1) unstable; urgency=low

  * Initial release (Closes: #650016)

 -- Julien Danjou <acid@debian.org>  Mon, 28 Nov 2011 14:48:39 +0100

=== debian/control ===
Source: openstackx
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools, python-httplib2
Standards-Version: 3.9.2
Homepage: https://github.com/cloudbuilders/openstackx
Vcs-Git: git://git.debian.org/openstack/openstackx.git
Vcs-Browser: http://git.debian.org/?p=openstack/openstackx.git;a=summary

Package: python-openstackx
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: client library for OpenStack
 This is a deprecated binding to OpenStack. You should use python-novaclient
 instead if possible.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/build
	rm -f $(CURDIR)/openstackx/*.pyc
	rm -rf $(CURDIR)/openstackx.egg-info

## openstackx 0~dev20111219

=== debian/changelog ===
openstackx (0~dev20111219-1) unstable; urgency=low

  * New snapshot.

 -- Julien Danjou <acid@debian.org>  Mon, 19 Dec 2011 12:17:11 +0100

## openstackx 0.2

=== debian/changelog ===
openstackx (0.2-0ubuntu3) oneiric; urgency=low

  * debian/control: Change arch to all. (LP: #821632) 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Aug 2011 10:55:01 -0400

openstackx (0.2-0ubuntu2) oneiric; urgency=low

  * Chagne arch to any. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Aug 2011 05:00:09 -0400

openstackx (0.2-0ubuntu1) oneiric; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Aug 2011 16:04:43 -0400

=== debian/control ===
Source: openstackx
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3~),
 python-setuptools  (>= 0.6b3), python-nose, python-mock
Standards-Version: 3.9.2

Package: openstackx
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Client library extenstions for Openstack API
 This is the client library extensions for the Openstack API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_build:
	python setup.py build

override_dh_auto_install:
	python setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	python setup.py clean
	dh_clean

## openstackx 0.2+git20120120

=== Makefile ===
PYTHON=`which python`
DESTDIR=/
PROJECT=openstackx
VERSION=0.2.0

all:
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall

clean:
	$(PYTHON) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete

=== debian/changelog ===
openstackx (0.2+git20120120-0ubuntu1) precise; urgency=low

  * New upstream release. 
  * debian/patches/fix-build.patch

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Jan 2012 14:08:50 -0500

openstackx (0.2+git20111219-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/rules: Place the extenstions directory under the openstackx
    directory.
  * Add python-httplib2 as a build dependency.
  * Added patch to clean up the build process.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 19 Dec 2011 19:26:24 -0500

openstackx (0.2+git20111108-0ubuntu2) precise; urgency=low

  * debian/rules: Fix override_dh_auto_install, point setup.py to
    debian/openstackx. (LP: #904049)

 -- Adam Gandelman <adamg@canonical.com>  Wed, 14 Dec 2011 11:03:05 -0800

openstackx (0.2+git20111108-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Nov 2011 13:53:50 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3~),
- python-setuptools  (>= 0.6b3), python-nose, python-mock
+ python-setuptools  (>= 0.6b3), python-nose, python-mock, python-httplib2
 Standards-Version: 3.9.2
 
 Package: openstackx

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+-include /usr/share/python/python.mk
+ifeq (,$(py_sitename))
+  py_sitename = site-packages
+  py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
+  py_sitename_sh = $(py_sitename)
+  py_libdir_sh = $(py_libdir)
+endif
+
 %:
 	dh $@  --with python2
 
@@ -16,7 +24,10 @@
 	python setup.py build
 
 override_dh_auto_install:
-	python setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp
+	python setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/openstackx
+	for ver in $(shell pyversions -vr); do \
+		mv $(CURDIR)/debian/openstackx/$(call py_libdir_sh,$$ver)/extensions  $(CURDIR)/debian/openstackx/$(call py_libdir_sh,$$ver)/openstackx ; \
+	done
 
 override_dh_auto_clean:
 	python setup.py clean
